Subject: Re: How about today?
From: Ashish Dabral <[email-masked]>
To: Ryan Dubouzet <[email-masked]>
Date: Tue, 16 Aug 2022 00:44:37 -0700 (MST)

Hi Ryan, 

We have provided your the USA card details and billing address. You need more information which we are not able to provide. 

I have received an email from your team. Please see attached 

Regards, 
Ashish Dabral 

From: "Ryan Dubouzet" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Sent: Monday, August 15, 2022 8:29:51 PM 
Subject: How about today? 

Hi again, Ashish . 

I left you a message a few days back to see if I could answer any questions you might have about RingCentral. 

RingCentral provides world-class unified and cost-effective phone solution where you get the best value for money and gain more customers as your business continues to grow. 

RingCentral also helps businesses identify phone system requirements so they can find a solution that works with their unique business needs. I’ve found that many of the businesses I talk with really benefit from seeing our system in action. I would love to share this with you on a brief phone call. 

I will try to call you today or tomorrow would be better? Or if is easier, you can access my calendar [ https://t.yesware.com/tt/4287d26e8faf5e8c1b12cf37debbe27efad91fe5/8c7f34ae6d8471e821b9b15d6d5ce236/823aecc398a6425ae3a8601e9147a440/booking.chilipiper.com/book/me/ryan-dubouzet?type=signature-link | HERE ] . 

-- 
All the best, 

Ryan Dubouzet 
Sales Development Representative 
Connect with me: [ callto:+1 - 720 - 734 - 2277 | +1 - 720 - 734 - 2277 ] 
[ mailto:[email-masked] | [email-masked] ] 

[ https://t.yesware.com/tt/4287d26e8faf5e8c1b12cf37debbe27efad91fe5/8c7f34ae6d8471e821b9b15d6d5ce236/7d323f2c4ba13ab1e2e9a0ae071503a4/booking.chilipiper.com/book/me/ryan-dubouzet | Book a time with me ] 
[ https://t.yesware.com/tt/4287d26e8faf5e8c1b12cf37debbe27efad91fe5/8c7f34ae6d8471e821b9b15d6d5ce236/e95466e5c100e43cd206b00a1bca3176/www.ringcentral.com/view_demo.html | Interested in RingCentral? Schedule a Demo ] 

Subject: Your RingCentral account requires attention
From: RingCentral <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Fri, 12 Aug 2022 11:47:03 +0000 (UTC)

|
| Account requires attention

Dear Ashish Dabral,

Thank you very much for your support of RingCentral. We greatly appreciate your business and hope to earn it every day.

In our continued effort to keep our community of customers safe from online fraud, we have enacted new procedures that are beneficial to all. Credit card fraud accounts for $2 billion annually. We want to do our part to help reduce this figure and create a safe environment for you.

In our research, we have identified that your financial institution has been unable to verify some of your billing information. Because of this, for your protection, we now require that a short form be filled out and faxed to us. Below, you can find your RingCentral account information and next billing date. In order to ensure uninterrupted service, please print and complete the attached .PDF form. Prior to your next billing date, please fax it to either (800) 520-1568 (US only) or (650) 641-2698.

If you do not have Adobe Reader installed on your computer, you can download it free of charge by clicking this link: http://www.adobe.com/products/acrobat/readstep2.html.

Account Information:
RingCentral: (760) 659-7901
Plan: RingCentral MVP Premium
Next billing date: 01/01/9999

Should you have any questions or experience any problems sending your form, please do not hesitate to contact our billing department toll-free at 1-888-898-4591.

Thank you for using RingCentral!

By subscribing to and/or using RingCentral, you acknowledge agreement to our Terms of Use.

Copyright 2022 RingCentral, Inc. All rights reserved. RingCentral is a registered trademark of RingCentral, Inc., 20 Davis Drive, Belmont, CA 94002, USA.